TokyoTyrant::putShl
TokyoTyrant::setMaster
TokyoTyrant
PHP Manual

# TokyoTyrant::restore

Restore the database

### Description

public mixed TokyoTyrant::restore ( string `$log_dir` , int `$timestamp` [, bool `$check_consistency` = true ] )

Restore the database from the update log.

Warning

This method is not supported on 32bit platforms.

### Parameters

`log_dir`

  Directory where the log is

`timestamp`

  Beginning timestamp with microseconds

`check_consistency`

  Whether to check consistency: Default: `TRUE`

### Return Values

This method returns the current object and throws TokyoTyrantException on failure.